Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » API Tools - No warnings/errors when changing API
API Tools - No warnings/errors when changing API [message #508231] Sun, 17 January 2010 18:11
Philip Corlatan is currently offline Philip Corlatan
Messages: 4
Registered: July 2009
Junior Member
Hello together,

I have a problem with the PDE API Tools and Eclipse 3.5 (as well as 3.4).

I wanted to use API Tools to check for changes of the API in our RCP application but there is no error output in the problem view.

I have done the following things:

1. Converted all plugins for using them with API Tools
2. Set the plugins directory of the previous version as baseline (The plugins in this directory are also configured for using them with API Tools)
3. Now I changed the signature of an API method in my current workspace (public method in public class in an exported package)

-> No error or warning appears (Although I set that in the API error & warning preference page)

What have I done wrong?

Another problem I had, was that eclipse 3.5 noticed that the bundle versions needed to be increased but eclipse 3.4 didn't...

Best regards,
Philip Corlatan
Previous Topic:Plugin Spy won't open view class
Next Topic:API Tools - No warnings/errors when changing API
Goto Forum:
  


Current Time: Wed Jul 30 07:21:16 EDT 2014

Powered by FUDForum. Page generated in 0.01821 seconds